FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian Kernel

 
 
LinkBack Thread Tools
 
Old 03-20-2009, 05:19 PM
tom schorpp
 
Default Bug#520535: linux-image-2.6.28-1-686: Installer fails using mkinitrd.yaird

Package: linux-image-2.6.28-1-686
Version: 2.6.28-1
Severity: minor

Setting up linux-image-2.6.28-1-686 (2.6.28-1) ...
Running depmod.
Running /usr/sbin/mkinitrd.yaird.
mkinitrd.yaird: invalid option -- t
Terminating...
/usr/sbin/mkinitrd.yaird failed to create initrd image.
Failed to create initrd image.
dpkg: error processing linux-image-2.6.28-1-686 (--configure):
subprocess post-installation script returned error exit status 2
Errors were encountered while processing:
linux-image-2.6.28-1-686

but doing manual mkinitrd.yaird and initramfs-tools 0.93
works.

-- Package-specific info:
** Version:
Linux version 2.6.28-1-686 (Debian 2.6.28-1) (maks@debian.org) (gcc version 4.3.3 (Debian 4.3.3-4) ) #1 SMP Mon Feb 23 03:13:24 UTC 2009

-- System Information:
Debian Release: 5.0
APT prefers stable
APT policy: (990, 'stable'), (99, 'testing'), (98, 'unstable'), (97, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.28-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.28-1-686 depends on:
ii debconf [debconf-2.0] 1.5.24 Debian configuration management sy
ii initramfs-tools [linux-initra 0.93 tools for generating an initramfs
ii module-init-tools 3.4-1 tools for managing Linux kernel mo
ii yaird [linux-initramfs-tool] 0.0.13-5 Yet Another mkInitRD

Versions of packages linux-image-2.6.28-1-686 recommends:
ii libc6-i686 2.7-18 GNU C Library: Shared libraries [i

Versions of packages linux-image-2.6.28-1-686 suggests:
ii grub 0.97-47lenny2 GRand Unified Bootloader (Legacy v
pn linux-doc-2.6.28 <none> (no description available)

-- debconf information excluded



--
To UNSUBSCRIBE, email to debian-kernel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 03-20-2009, 10:41 PM
Jonas Smedegaard
 
Default Bug#520535: linux-image-2.6.28-1-686: Installer fails using mkinitrd.yaird

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Fri, Mar 20, 2009 at 06:19:42PM +0000, tom schorpp wrote:
>Package: linux-image-2.6.28-1-686
>Version: 2.6.28-1
>Severity: minor
>
>Setting up linux-image-2.6.28-1-686 (2.6.28-1) ...
>Running depmod.
>Running /usr/sbin/mkinitrd.yaird.
>mkinitrd.yaird: invalid option -- t
>Terminating...
>/usr/sbin/mkinitrd.yaird failed to create initrd image.
>Failed to create initrd image.
>dpkg: error processing linux-image-2.6.28-1-686 (--configure):
> subprocess post-installation script returned error exit status 2
>Errors were encountered while processing:
> linux-image-2.6.28-1-686
>
>but doing manual mkinitrd.yaird and initramfs-tools 0.93
>works.

1) linux 2.4 kernel packages optionally use initrd-tools

2) linux 2.6 kernel packages optionally use initrd-tools

3) initramfs-tools comes along, including an initrd-tools wrapper

4) yaird comes along, including an initrd-tools wrapper

5) initramfs-tools adds non-initrd-tools options to its wrapper

6) yaird mimics (or ignores, really) some of those options

7) linux 2.6 kernel packages drop support for initrd-tools

8) kernel team promises yaird support is not affected (hinting that I am
insane to even ask)

9) Breakage reported as bug#518315 is rerouted to yaird by the kernel
team, considering yaird broken to not fully mimic initramfs-tools.


The kernel team has not responded to my latest questions targeted both
bug#518315 and the kernel team mailinglist. Might be because I am silly
to even ask.


- Jonas

- --
* Jonas Smedegaard - idealist og Internet-arkitekt
* Tlf.: +45 40843136 Website: http://dr.jones.dk/

[x] quote me freely [ ] ask before reusing [ ] keep private
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAknEKawACgkQn7DbMsAkQLg+/gCfYw1/mxxFuZjzngLD+58SU8fI
91sAnjOdO4KH3SPXS1cCrxYHod/FEYow
=+gxX
-----END PGP SIGNATURE-----



--
To UNSUBSCRIBE, email to debian-kernel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 

Thread Tools




All times are GMT. The time now is 08:57 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org